> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abusix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get quick check



## OpenAPI

````yaml get /quick-check/{item}
openapi: 3.0.0
info:
  version: 0.1.0
  title: Guardian Intelligence API
servers:
  - url: https://threat-intel-api.abusix.com/beta/
    description: Abusix Guardian Intel API
security: []
paths:
  /quick-check/{item}:
    get:
      tags:
        - query
      responses:
        '200':
          description: Query result
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  statusCode:
                    type: number
                    minimum: 0
                    exclusiveMinimum: true
                    example: 200
                  result:
                    oneOf:
                      - $ref: '#/components/schemas/IpShortQueryResultSchema'
                      - $ref: '#/components/schemas/IpBogonQueryResultSchema'
                      - $ref: '#/components/schemas/DomainShortQueryResultSchema'
                      - $ref: '#/components/schemas/UrlQueryResultSchema'
                      - $ref: '#/components/schemas/Sha1QueryResultSchema'
                      - $ref: '#/components/schemas/CryptoWalletResultSchema'
                      - $ref: '#/components/schemas/EmailResultSchema'
                    discriminator:
                      propertyName: type
                      mapping:
                        IP:
                          $ref: '#/components/schemas/IpShortQueryResultSchema'
                        IP_BOGON:
                          $ref: '#/components/schemas/IpBogonQueryResultSchema'
                        DOMAIN:
                          $ref: '#/components/schemas/DomainShortQueryResultSchema'
                        URL:
                          $ref: '#/components/schemas/UrlQueryResultSchema'
                        SHA1:
                          $ref: '#/components/schemas/Sha1QueryResultSchema'
                        CRYPTO_WALLET:
                          $ref: '#/components/schemas/CryptoWalletResultSchema'
                        EMAIL:
                          $ref: '#/components/schemas/EmailResultSchema'
                required:
                  - status
                  - statusCode
                  - result
        '400':
          description: Invalid item
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - failure
                  statusCode:
                    type: number
                    minimum: 0
                    exclusiveMinimum: true
                    example: 400
                  errors:
                    type: object
                    properties:
                      $:
                        type: string
                    required:
                      - $
                required:
                  - status
                  - statusCode
                  - errors
        '500':
          description: Failed the lookups
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - failure
                  statusCode:
                    type: number
                    minimum: 0
                    exclusiveMinimum: true
                    example: 400
                  errors:
                    type: object
                    properties:
                      $:
                        type: string
                    required:
                      - $
                required:
                  - status
                  - statusCode
                  - errors
components:
  schemas:
    IpShortQueryResultSchema:
      type: object
      properties:
        item:
          type: string
          description: normalized representation of requested item
        abusixMailBlocklist:
          type: string
          nullable: true
          enum:
            - ACTIVE
            - ALLOWLIST
            - INFORMATIONAL
            - NOT_LISTED
            - PASSIVE
        type:
          type: string
          enum:
            - IP
        bogon:
          type: boolean
          enum:
            - false
        intent:
          type: string
          enum:
            - malicious
            - suspicious
            - unknown
            - none
        activity:
          type: boolean
          description: Whether or not we have observed this IP.
      required:
        - item
        - abusixMailBlocklist
        - type
        - bogon
        - intent
        - activity
    IpBogonQueryResultSchema:
      type: object
      properties:
        item:
          type: string
          description: normalized representation of requested item
        type:
          type: string
          enum:
            - IP_BOGON
        bogon:
          type: boolean
          enum:
            - true
      required:
        - item
        - type
        - bogon
    DomainShortQueryResultSchema:
      type: object
      properties:
        item:
          type: string
          description: normalized representation of requested item
        abusixMailBlocklist:
          type: string
          nullable: true
          enum:
            - ACTIVE
            - ALLOWLIST
            - INFORMATIONAL
            - NOT_LISTED
            - PASSIVE
        type:
          type: string
          enum:
            - DOMAIN
        intent:
          type: string
          enum:
            - malicious
            - suspicious
            - unknown
            - none
        activity:
          type: boolean
          description: Whether or not we have observed this domain.
      required:
        - item
        - abusixMailBlocklist
        - type
        - intent
        - activity
    UrlQueryResultSchema:
      type: object
      properties:
        item:
          type: string
          description: normalized representation of requested item
        abusixMailBlocklist:
          type: string
          nullable: true
          enum:
            - ACTIVE
            - ALLOWLIST
            - INFORMATIONAL
            - NOT_LISTED
            - PASSIVE
        type:
          type: string
          enum:
            - URL
      required:
        - item
        - abusixMailBlocklist
        - type
    Sha1QueryResultSchema:
      type: object
      properties:
        item:
          type: string
          description: normalized representation of requested item
        abusixMailBlocklist:
          type: string
          nullable: true
          enum:
            - ACTIVE
            - ALLOWLIST
            - INFORMATIONAL
            - NOT_LISTED
            - PASSIVE
        type:
          type: string
          enum:
            - SHA1
      required:
        - item
        - abusixMailBlocklist
        - type
    CryptoWalletResultSchema:
      type: object
      properties:
        item:
          type: string
          description: normalized representation of requested item
        abusixMailBlocklist:
          type: string
          nullable: true
          enum:
            - ACTIVE
            - ALLOWLIST
            - INFORMATIONAL
            - NOT_LISTED
            - PASSIVE
        type:
          type: string
          enum:
            - CRYPTO_WALLET
      required:
        - item
        - abusixMailBlocklist
        - type
    EmailResultSchema:
      type: object
      properties:
        item:
          type: string
          description: normalized representation of requested item
        abusixMailBlocklist:
          type: string
          nullable: true
          enum:
            - ACTIVE
            - ALLOWLIST
            - INFORMATIONAL
            - NOT_LISTED
            - PASSIVE
        type:
          type: string
          enum:
            - EMAIL
      required:
        - item
        - abusixMailBlocklist
        - type

````